searchNodes=[{"type":"module","title":"Contentful","doc":"The Contentful SDK provides helper functions and structs for a subset of the the available Contentful APIs and serves as a container for the shared structs. The available Contentful APIs are: Contentful.Delivery - wraps the Content Delivery API (CDA) - for accessing production ready content Contentful.Preview - wraps the Content Preview API (CPA) - for accessing drafts prepublication Contentful.Management - wraps the Content Management API (CMA) - for managing your content Setup In order to add the Contentful SDK add the following to your mix.exs : # mix.exs def deps do [ # your other dependencies, then add: { :contentful , &quot;~&gt; 0.4&quot; } ] end You can configure your access token(s) and Contentful environments via your local config.exs: # in config.exs config :contentful , json_library : Poison # optional, as Jason is the default # per API definition: config :contentful , delivery : [ space_id : &quot;&lt;my_space_id&gt;&quot; , access_token : &quot;&lt;my_cda_token&gt;&quot; , environment : &quot;&lt;my_environment&gt;&quot; # defaults to `master` ] config :contentful , management : [ coming : :soon ] config :contentful , preview : [ coming : :soon ] Please note that the default json_library that this SDK is tested with is Jason , yet Poison should be compatible.","ref":"Contentful.html"},{"type":"function","title":"Contentful.http_client/0","doc":"The Tesla.client module to use. By default, Contentful uses the standard Tesla.client . This can be overridden in config to use a custom dynamic client so that behaviour can be modified in runtime. Examples # in lib/myapp/logging_client.ex defmodule LoggingClient do # build dynamic client based on runtime arguments def client do middleware = [ { Tesla.Middleware.Logger , debug : false } ] Tesla . client ( middleware ) end end # in config/config.exs config :contentful , http_client : LoggingClient","ref":"Contentful.html#http_client/0"},{"type":"function","title":"Contentful.json_library/0","doc":"The JSON library to use. Can be either configured to Jason or Poison . Examples # in config/config.exs config :contentful , json_library : Jason iex&gt; Contentful . json_library ( ) Jason","ref":"Contentful.html#json_library/0"},{"type":"module","title":"Contentful.Configuration","doc":"Provides Configuration for the different Contentful modules, providing easier access to the values in config/*.exs","ref":"Contentful.Configuration.html"},{"type":"function","title":"Contentful.Configuration.get/2","doc":"","ref":"Contentful.Configuration.html#get/2"},{"type":"module","title":"Contentful.Entry.LinkResolver","doc":"The module provides functions to resolve Links included in items returned in an API response.","ref":"Contentful.Entry.LinkResolver.html"},{"type":"function","title":"Contentful.Entry.LinkResolver.replace_links_with_entities/2","doc":"In Contentful, you can create content that references other content. These are called &quot;links&quot;. In API responses, any &quot;links&quot; in the &quot;items&quot; returned have a type &quot;Link&quot; and specify the &quot;id&quot; of the link but do not include all it's fields directly in the &quot;items&quot; array. Instead the full &quot;link&quot; and it's fields may be provided in the &quot;includes&quot; section of the response, depending on the value of the &quot;include&quot; query parameter in the request URL. This function will find any &quot;links&quot; in the &quot;fields&quot; of an Entry, and replace them with the corresponding entities from the &quot;includes&quot; section This makes parsing the response easier, as you don't need to manually extract every linked entry from the &quot;includes&quot; section of the response. Inspired by https://github.com/contentful/contentful.js/blob/master/ADVANCED.md#link-resolution","ref":"Contentful.Entry.LinkResolver.html#replace_links_with_entities/2"},{"type":"module","title":"Contentful.Misc","doc":"Provides some functions that fit nowhere else and can be shared freely.","ref":"Contentful.Misc.html"},{"type":"function","title":"Contentful.Misc.fallback/2","doc":"provides a generic fallback method in case a returned value is nil . Inspired by @expede and her talk at Code BEAM V 2020. Usable in conjunction with other getters to enable function chains: Example 1 = [ a : 1 , b : 2 , c : 3 ] |&gt; Keyword . get ( :a ) 4 = [ a : 1 , b : 2 , c : 3 ] |&gt; Keyword . get ( :d ) |&gt; fallback ( 4 )","ref":"Contentful.Misc.html#fallback/2"},{"type":"module","title":"Contentful.Preview","doc":"The Contentful Preview API allows the interaction with content that is not yet published and will return assets, entries, etc. It exhibits the same behavior as the Content Delivery API - see Contentful.Delivery . Usage In order to use it: # in your config.exs config :contentful , delivery : [ endpoint : :preview , space_id : &quot;&lt;my_space_id&gt;&quot; , environment : &quot;&lt;my_environment&gt;&quot; , access_token : &quot;&lt;my_access_token_cpa&gt;&quot; ] you should be able to then use the Contentful.Delivery as a proxy: import Contentful.Query alias Contentful.Delivery , as : Preview { :ok , entry } = Preview.Entries |&gt; fetch_one ( &quot;my_entry_id&quot; ) You can also pass a custom URL (string) to the :endpoint in config.exs .","ref":"Contentful.Preview.html"},{"type":"module","title":"Contentful.Request","doc":"Encapsulates functions invloved in making a request towards the Contentful APIs.","ref":"Contentful.Request.html"},{"type":"function","title":"Contentful.Request.collection_query_params/1","doc":"parses the options for retrieving a collection, usually triggered by a Contentful.Query.fetch_all/4 . It will drop any option that is not in an allowed set of parameter options. Examples [ limit : 50 , skip : 25 , order : &quot;foobar&quot; ] = collection_query_params ( limit : 50 , baz : &quot;foo&quot; , skip : 25 , order : &quot;foobar&quot; , bar : 42 ) Also provides support for mapping out some of the API specific syntax in field handling. Examples [ { :&quot;sys.id[ne]&quot; , &quot;foobar&quot; } ] = collection_query_params ( select_params : [ id : [ ne : &quot;foobar&quot; ] ] )","ref":"Contentful.Request.html#collection_query_params/1"},{"type":"function","title":"Contentful.Request.headers/1","doc":"Builds the request headers for a request against the CDA, taking api access tokens into account Examples my_access_token = &quot;foobarfoob4z&quot; [ &quot;Authorization&quot; : &quot;Bearer foobarfoob4z&quot; , &quot;User-Agent&quot; : &quot;Contentful Elixir SDK&quot; , &quot;Accept&quot; : &quot;application/json&quot; ] = my_access_token |&gt; headers ( )","ref":"Contentful.Request.html#headers/1"},{"type":"module","title":"Contentful.Delivery","doc":"The Delivery API is the main access point for fetching data for your customers. The API is read only . If you wish to manipulate data, please have a look at the Contentful.Management . Basic interaction The space_id , the environment and your access_token can all be configured in config/config.exs : # config/config.exs config :contentful , delivery : [ space_id : &quot;&lt;my_space_id&gt;&quot; , environment : &quot;&lt;my_environment&gt;&quot; , access_token : &quot;&lt;my_access_token_cda&gt;&quot; ] The space can then be fetched as a Contentful.Space via a simple query: import Contentful.Query alias Contentful.Delivery.Spaces { :ok , space } = Spaces |&gt; fetch_one Retrieving items is then just a matter of importing Contentful.Query : import Contentful.Query alias Contentful.Delivery.Entries { :ok , entries , total : _total_count_of_entries } = Entries |&gt; fetch_all You can create query chains to form more complex queries: import Contentful.Query alias Contentful.Delivery.Entries { :ok , entries , total : _total_count_of_entries } = Entries |&gt; skip ( 2 ) |&gt; limit ( 10 ) |&gt; include ( 2 ) |&gt; fetch_all Fetching indidvidual entities is straight forward: import Contentful.Query alias Contentful.Delivery.Assets my_asset_id = &quot;my_asset_id&quot; { :ok , assets , total : _total_count_of_assets } = Assets |&gt; fetch_one ( my_asset_id ) All query resolvers also support chaning the space_id , environment and access_token at call time: import Contentful.Query alias Contentful.Delivery.Assets my_asset_id = &quot;my_asset_id&quot; { :ok , asset } = Assets |&gt; fetch_one ( my_asset_id ) Note: If you want to pass the configuration at call time, you can pass these later as function parameters to the resolver call: import Contentful.Query alias Contentful.Delivery.Assets my_asset_id = &quot;my_asset_id&quot; my_space_id = &quot;bmehzfuz4raf&quot; my_environment = &quot;staging&quot; my_access_token = &quot;not_a_real_token&quot; { :ok , asset } = Assets |&gt; fetch_one ( my_asset_id , my_space_id , my_environment , my_access_token ) # also works for fetch_all: { :ok , assets , _ } = Assets |&gt; fetch_all ( my_space_id , my_environment , my_access_token ) # and for stream: [ asset | _ ] = Assets |&gt; stream ( my_space_id , my_environment , my_access_token ) |&gt; Enum . to_list Spaces as an exception Unfortunately, Contentful.Delivery.Spaces do not support complete collection behaviour: # doesn&#39;t exist in the Delivery API: { :error , _ , _ } = Contentful.Delivery.Spaces |&gt; fetch_all # however, you can still retrieve a single `Contentful.Space`: { :ok , space } = Contentful.Delivery.Spaces |&gt; fetch_one # the configured space { :ok , my_space } = Contentful.Delivery.Spaces |&gt; fetch_one ( &quot;my_space_id&quot; ) # a passed space Further reading Contentful Delivery API docs (CDA).","ref":"Contentful.Delivery.html"},{"type":"function","title":"Contentful.Delivery.build_error/0","doc":"Used to make a generic error, in case the API Response is not what is expected","ref":"Contentful.Delivery.html#build_error/0"},{"type":"function","title":"Contentful.Delivery.build_error/1","doc":"Used for the rate limit exceeded error, as it gives the user extra information on wait times","ref":"Contentful.Delivery.html#build_error/1"},{"type":"function","title":"Contentful.Delivery.build_error/2","doc":"Used to construct generic errors for calls against the CDA","ref":"Contentful.Delivery.html#build_error/2"},{"type":"function","title":"Contentful.Delivery.client/0","doc":"Constructs a new Tesla client for requests. Can be overridden with a custom client: # config/config.exs config :contentful , client : MyApp.CustomClient","ref":"Contentful.Delivery.html#client/0"},{"type":"function","title":"Contentful.Delivery.json_library/0","doc":"Gets the json library for the Contentful Delivery API based on the config/config.exs.","ref":"Contentful.Delivery.html#json_library/0"},{"type":"function","title":"Contentful.Delivery.parse_response/2","doc":"catch_all for any errors during flight (connection loss, etc.)","ref":"Contentful.Delivery.html#parse_response/2"},{"type":"function","title":"Contentful.Delivery.send_request/1","doc":"Sends a request against the CDA. It's really just a wrapper around Tesla.get/3","ref":"Contentful.Delivery.html#send_request/1"},{"type":"function","title":"Contentful.Delivery.url/0","doc":"constructs the base url with protocol for the CDA Examples &quot;https://cdn.contentful.com&quot; = url ( )","ref":"Contentful.Delivery.html#url/0"},{"type":"function","title":"Contentful.Delivery.url/1","doc":"constructs the base url with the extension for a given space Examples &quot;https://cdn.contentful.com/spaces/foo&quot; = url ( &quot;foo&quot; )","ref":"Contentful.Delivery.html#url/1"},{"type":"function","title":"Contentful.Delivery.url/2","doc":"constructs the base url for the delivery endpoint for a given space and environment Examples &quot;https://cdn.contentful.com/spaces/foo/environments/bar&quot; = url ( &quot;foo&quot; , &quot;bar&quot; )","ref":"Contentful.Delivery.html#url/2"},{"type":"module","title":"Contentful.Query","doc":"This module provides the chainable query syntax for building queries against the APIs of Contentful. The chains will then be serialized to a URL and send to the API. A basic query looks like this: Entity |&gt; skip ( 3 ) |&gt; limit ( 2 ) |&gt; fetch_all wherein Entity is one of the modules that exhibit Contentful.Queryable behaviour, such as Contentful.Delivery.Entries , Contentful.Delivery.Assets and Contentful.Delivery.ContentTypes . As an example, querying all entries of a given Contentful.Space (represented by its space_id ) can be done as follows: Contentful.Delivery.Entries |&gt; Contentful.Query . fetch_all ( space_id )","ref":"Contentful.Query.html"},{"type":"function","title":"Contentful.Query.allowed_filter_modifiers/0","doc":"Returns the filter modifiers supported byt the Query syntax","ref":"Contentful.Query.html#allowed_filter_modifiers/0"},{"type":"function","title":"Contentful.Query.by/2","doc":"Adds a filter condition to the query. This will work for Entries requiring a call to content_type before: Example import Contentful.Query alias Contentful.Delivery.Entries { :ok , entries , total : 1 } = Entries |&gt; content_type ( &quot;dogs&quot; ) |&gt; by ( name : &quot;Hasso&quot; , breed : &quot;dalmatian&quot; ) |&gt; fetch_all This will also allow for more complex queries using modifiers: Example import Contentful.Query alias Contentful.Delivery.Entries { :ok , entries , total : 100 } = Entries |&gt; content_type ( &quot;dogs&quot; ) |&gt; by ( name : [ ne : &quot;Hasso&quot; ] , breed : &quot;dalmatian&quot; ) |&gt; fetch_all Allowed modifiers are [:in, :nin, :ne, :lte, :gte, :lt, :gt, :match, :exist] . See the official docs for adding search parameters this way. Working with Contentful.Delivery.Assets requires no content_type call: Example import Contentful.Query alias Contentful.Delivery.Assets { :ok , assets , total : 1 } = Assets |&gt; by ( id : &quot;foobar&quot; ) |&gt; fetch_all Calling by/2 allows for adding multiple conditions to the query: Example import Contentful.Query alias Contentful.Delivery.Assets { :ok , assets , total : 200 } = Assets |&gt; by ( tags : [ nin : &quot;maps&quot; ] ) |&gt; fetch_all","ref":"Contentful.Query.html#by/2"},{"type":"function","title":"Contentful.Query.content_type/2","doc":"adds a content_type parameter for filtering sets of Contentful.Entry by a Contentful.ContentType , effectively allowing for scoping by content type. content_type will only work with Contentful.Delivery.Entries at the moment. Examples alias Contentful.Delivery.Entries Entries |&gt; content_type ( &quot;foobar&quot; ) |&gt; fetch_all # translates in the background to &quot;&lt;api_url&gt;/entries?content_type=foobar&quot; # also works with passing `Contentful.ContentType`: my_content_type = % Contentful.ContentType { sys : % Contentful.SysData { id : &quot;foobar&quot; } } Entries |&gt; content_type ( my_content_type ) |&gt; fetch_all","ref":"Contentful.Query.html#content_type/2"},{"type":"function","title":"Contentful.Query.fetch_all/4","doc":"will resolve a query chain by eagerly calling the API and resolving the response immediately Examples alias Contentful.Delivery.Entries { :ok , entries , total : _total_count_of_entries } = Entries |&gt; content_type ( &quot;foobar&quot; ) |&gt; limit ( 1 ) |&gt; fetch_all","ref":"Contentful.Query.html#fetch_all/4"},{"type":"function","title":"Contentful.Query.fetch_one/5","doc":"will resolve a query chain by eagerly calling the API asking for one entity Examples import Contentful.Query alias Contentful.Delivery . { Spaces , Entries } # Note: Spaces is the only Queryable that can be fetched without an id Spaces |&gt; fetch_one # all others would throw an error, so an id has to be passed: Entries |&gt; fetch_one ( &quot;my_entry_id&quot; )","ref":"Contentful.Query.html#fetch_one/5"},{"type":"function","title":"Contentful.Query.include/2","doc":"adds the include parameter to a query. This allows for fetching associated items up to a collection of Contentful.Entry . The include call will only work with Contentful.Delivery.Entries , as it is meaningless to other entities. Example: alias Contentful.Delivery.Entries Entries |&gt; include ( 2 ) |&gt; fetch_all # translates in the background to &quot;&lt;api_url&gt;/entries?include=2&quot;","ref":"Contentful.Query.html#include/2"},{"type":"function","title":"Contentful.Query.limit/2","doc":"adds the limit parameter to a call, limiting the amount of entities returned. The caller will still retreive the total amount of entities, if successful. The limit defaults to 1000 , the maximum limit allowed for API calls. Examples alias Contentful.Delivery.Assets Assets |&gt; limit ( 2 ) |&gt; fetch_all # translates in the background to &quot;&lt;api_url&gt;/assets?limit=2&quot;","ref":"Contentful.Query.html#limit/2"},{"type":"function","title":"Contentful.Query.search_full_text/2","doc":"allows for full text search over all entries fields. The original nomenclature fromthe API docs is query . This has been renamed for clarity here. Example import Contentful.Query { Entries , [ query : &quot;Nyancat&quot; ] } = Entries |&gt; search_full_text ( &quot;Nyancat&quot; ) # or, with full `fetch_all` { :ok , nyan_cats , total : 616 } = Entries |&gt; search_full_text ( &quot;Nyancat&quot; ) |&gt; fetch_all","ref":"Contentful.Query.html#search_full_text/2"},{"type":"function","title":"Contentful.Query.skip/2","doc":"adds the skip parameter to API calls, allowing to skip over a number of entities, effectively allowing the implementation of pagination if desired. Examples alias Contentful.Delivery.Assets Assets |&gt; skip ( 10 ) |&gt; fetch_all # translates in the background to a call to the API &quot;&lt;api_url&gt;/assets?skip=10&quot;","ref":"Contentful.Query.html#skip/2"},{"type":"function","title":"Contentful.Query.stream/4","doc":"will resolve a query chain by constructing a Stream.resource around a possible API response allowing for lazy evaluation of queries. Cann be helpful with translating collection calls of unknown size. Be careful when using this, as one can run into API rate limits quickly for very large sets. Examples import Contentful.Query alias Contentful.Delivery . { Assets , Spaces } # translates into two api calls in the background Assets |&gt; stream |&gt; Enum . take ( 2000 ) # you can use limit() to set the page size, in the example, stream would call the API # 10 times total. Assets |&gt; limit ( 100 ) |&gt; Enum . take ( 1000 ) # will not work with Spaces, though, as they is no collection endpoint","ref":"Contentful.Query.html#stream/4"},{"type":"module","title":"Contentful.Stream","doc":"This module extracts the stream functionality from the Contentful.Query providing the underlying functions for the streaming functionality of collectable entities from the Contentful API.","ref":"Contentful.Stream.html"},{"type":"function","title":"Contentful.Stream.stream/4","doc":"Entrypoint for constructing a stream, see Contentful.Query.stream/4 .","ref":"Contentful.Stream.html#stream/4"},{"type":"module","title":"Contentful.Delivery.Assets","doc":"Deals with the loading of assets from a given Contentful.Space See https://www.contentful.com/developers/docs/references/content-delivery-api/#/reference/assets.end Simple asset calls A Contentful.Asset can be retrieved by its asset_id : import Contentful.Query alias Contentful.Asset alias Contentful.Delivery.Assets } = Assets |&gt; fetch_one(&quot;my_asset_id&quot;) or just as a collection: import Contentful.Query alias Contentful.Asset alias Contentful.Delivery.Assets | _ ]} = Assets |&gt; fetch_all Resolving assets from entries In the case of inclusion of assets with entries, see the docs for Contentful.Entries to see how to resolve assets from entries. Accessing common resource attributes A Contentful.Asset embeds Contentful.SysData with extra information about the entry: import Contentful.Query alias Contentful.Asset alias Contentful.Delivery.Assets = Assets |&gt; fetch_one(&quot;my_asset_id&quot;) &quot;my_asset_id&quot; = asset.id &quot;&lt;a timestamp for updated_at&gt;&quot; = asset.sys.updated_at &quot;&lt;a timestamp for created_at&gt;&quot; = asset.sys.created_at &quot;&lt;a locale string&gt;&quot; = asset.sys.locale","ref":"Contentful.Delivery.Assets.html"},{"type":"function","title":"Contentful.Delivery.Assets.endpoint/0","doc":"Returns the endpoint for assets","ref":"Contentful.Delivery.Assets.html#endpoint/0"},{"type":"module","title":"Contentful.Delivery.ContentTypes","doc":"Provides functions around reading content types from a given Contentful.Space See https://www.contentful.com/developers/docs/references/content-delivery-api/#/reference/content-types/content-type Simple calls Fetching a single content type is straight forward: import Contentful.Query alias Contentful.ContentType alias Contentful.Delivery.ContentTypes { :ok , % ContentType { id : &quot;my_content_type_id&quot; } } = ContentTypes |&gt; fetch_one ( &quot;my_content_type_id&quot; ) Fetching multiple content types is also possible: import Contentful.Query alias Contentful.ContentType alias Contentful.Delivery.ContentTypes { :ok , [ % ContentType { id : &quot;my_content_type_id&quot; } | _ ] } = ContentTypes |&gt; fetch_all Accessing common resource attributes A Contentful.ContentType embeds Contentful.SysData with extra information about the entry: import Contentful.Query alias Contentful.ContentType alias Contentful.Delivery.ContentTypes { :ok , content_type } = ContentTypes |&gt; fetch_one ( &quot;my_content_type_id&quot; ) &quot;my_content_type_id&quot; = content_type . id &quot;&lt;a timestamp for updated_at&gt;&quot; = content_type . sys . updated_at &quot;&lt;a timestamp for created_at&gt;&quot; = content_type . sys . created_at","ref":"Contentful.Delivery.ContentTypes.html"},{"type":"module","title":"Contentful.Delivery.Entries","doc":"Entries allows for querying the entries of a space via Contentful.Query . Fetching a single entry import Contentful.Query alias Contentful.Delivery.Entries { :ok , entry } = Entries |&gt; fetch_one ( &quot;my_entry_id&quot; ) Simple querying of a collection of entries import Contentful.Query alias Contentful.Delivery.Entries # fetches the entries based on the `space_id`, `environment` and `access_token` in config/config.exs { :ok , entries , total : _total_count_of_entries } = Entries |&gt; fetch_all # fetches the entries by passing `space_id`, `environment` and `access_token` space_id = &quot;&lt;my_space_id&gt;&quot; environment = &quot;&lt;my_environment&gt;&quot; access_token = &quot;&lt;my_access_token&gt;&quot; { :ok , entries , total : _total_count_of_entries } = Entries |&gt; fetch_all ( space_id , environment , access_token ) More advanced query with included links Entries can have links included, which limits the amount of times a client has to request data from the server: import Contentful.Query alias Contentful . { Asset , Entry } alias Contentful.Delivery.Entries # The default include depth is 1 (max 10) { :ok , [ % Entry { } = entry | _ ] , total : _total_count_of_entries } = Entries |&gt; include |&gt; fetch_all # any links within entry.fields will have been replaced with actual entities (e.g. an %Asset{] or %Entry{} struct) Accessing common resource attributes Entries embed Contentful.SysData with extra information about the entry: import Contentful.Query alias Contentful.{ContentType, Entry, SysData} alias Contentful.Delivery.Entries = Entries |&gt; fetch_one(&quot;my_entry_id&quot;) &quot;my_entry_id&quot; = entry.id &quot;&lt;a timestamp for updated_at&gt;&quot; = entry.sys.updated_at &quot;&lt;a timestamp for created_at&gt;&quot; = entry.sys.created_at &quot;&lt;a locale string&gt;&quot; = entry.sys.locale %ContentType{id: &quot;the_associated_content_type_id&quot;} = entry.sys.content_type","ref":"Contentful.Delivery.Entries.html"},{"type":"function","title":"Contentful.Delivery.Entries.resolve_collection_response/1","doc":"maps a standard API response for queries compliant with the Contentful.Queryable behaviour.","ref":"Contentful.Delivery.Entries.html#resolve_collection_response/1"},{"type":"function","title":"Contentful.Delivery.Entries.resolve_entity_response/1","doc":"maps a standard API response for a single entry returned, compliant with the Contentful.Queryable behaviour.","ref":"Contentful.Delivery.Entries.html#resolve_entity_response/1"},{"type":"module","title":"Contentful.Delivery.Locales","doc":"Handles the fetching of locales within a given Contentful.Space","ref":"Contentful.Delivery.Locales.html"},{"type":"module","title":"Contentful.Delivery.Spaces","doc":"Spaces provides function related to the reading of spaces through the Contentful Delivery API","ref":"Contentful.Delivery.Spaces.html"},{"type":"module","title":"Contentful.Asset","doc":"Represents an asset available within a Contentful.Space . https://www.contentful.com/developers/docs/references/content-delivery-api/#/reference/assets","ref":"Contentful.Asset.html"},{"type":"type","title":"Contentful.Asset.t/0","doc":"","ref":"Contentful.Asset.html#t:t/0"},{"type":"module","title":"Contentful.Asset.Fields","doc":"Represents the fields of a Contentful.Asset , which can very depending on the Contentful.Asset .","ref":"Contentful.Asset.Fields.html"},{"type":"type","title":"Contentful.Asset.Fields.t/0","doc":"","ref":"Contentful.Asset.Fields.html#t:t/0"},{"type":"module","title":"Contentful.ContentType","doc":"Describes functions around ContentTypes in a Contentful.Space See the official docs for more information.","ref":"Contentful.ContentType.html"},{"type":"function","title":"Contentful.ContentType.display_field/1","doc":"returns the display field for a given content type Examples content_type = % ContentType { display_field : &quot;name&quot; , fields : [ % ContentType.Field { name : &quot;name&quot; } ] } # extracts the display field from the content type % ContentType.Field { name : &quot;name&quot; } = content_type |&gt; ContentType . display_field","ref":"Contentful.ContentType.html#display_field/1"},{"type":"type","title":"Contentful.ContentType.t/0","doc":"A ContentType is part of the content model defined in a space","ref":"Contentful.ContentType.html#t:t/0"},{"type":"module","title":"Contentful.ContentType.Field","doc":"Represents a single field in the field defintion of a Contentful.ContentType . See the content model documentation for more information","ref":"Contentful.ContentType.Field.html"},{"type":"type","title":"Contentful.ContentType.Field.t/0","doc":"","ref":"Contentful.ContentType.Field.html#t:t/0"},{"type":"module","title":"Contentful.Entry","doc":"An entry is a representation of anything that can be expressed as a defined content type within a given Contentful.Space . See the official documentation for more information .","ref":"Contentful.Entry.html"},{"type":"type","title":"Contentful.Entry.t/0","doc":"","ref":"Contentful.Entry.html#t:t/0"},{"type":"module","title":"Contentful.Locale","doc":"Represents a single locale available in a given Space - see See the official docs for more information","ref":"Contentful.Locale.html"},{"type":"type","title":"Contentful.Locale.t/0","doc":"","ref":"Contentful.Locale.html#t:t/0"},{"type":"module","title":"Contentful.Space","doc":"A Space represents a space on contentful, holding most of the objects you work with, e.g. Contentful.Asset , Contentful.Entry or Contentful.Locale See the official documentation for more information","ref":"Contentful.Space.html"},{"type":"type","title":"Contentful.Space.t/0","doc":"","ref":"Contentful.Space.html#t:t/0"},{"type":"module","title":"Contentful.SysData","doc":"The SysData represents internal additional data for Contentful API objects, usually found in the &quot;sys&quot; part of the response objects. It's also referred to as &quot;common properties&quot;. See the official documentation for more information .","ref":"Contentful.SysData.html"},{"type":"type","title":"Contentful.SysData.t/0","doc":"","ref":"Contentful.SysData.html#t:t/0"},{"type":"behaviour","title":"Contentful.Queryable","doc":"Behaviour for allowing another module to be processed by the functions of Contentful.Query . See also: Contentful.Delivery.Assets Contentful.Delivery.ContentTypes Contentful.Delivery.Entries Contentful.Delivery.Locales Contentful.Delivery.Spaces","ref":"Contentful.Queryable.html"},{"type":"callback","title":"Contentful.Queryable.endpoint/0","doc":"","ref":"Contentful.Queryable.html#c:endpoint/0"},{"type":"callback","title":"Contentful.Queryable.resolve_collection_response/1","doc":"","ref":"Contentful.Queryable.html#c:resolve_collection_response/1"},{"type":"callback","title":"Contentful.Queryable.resolve_entity_response/1","doc":"","ref":"Contentful.Queryable.html#c:resolve_entity_response/1"}]